var news_method = 'Sine';
var section_method = 'Sine';

$(document).ready(function () {

    /******
     * Recorremos la lista de novedades, armamos otra lista con las
     * que tienen 'old_news' entre sus clases y ponemos a ésta como
     * una segunda lista.
     */
   
    $("#news_list li.old_news").wrapAll('<ul/>').parent().attr('id', 'old_news_list')
      .wrap('<div>').parent().attr('id', 'old_news')
      .insertAfter("#news_list");
    if ($("#news_list li").length < 1) {
      $("#news_list").prepend("<li>No hay novedades nuevas!</li>");
    }

    $("#old_news").prepend("<p class='toggle' style='margin-bottom:1.5ex;'><img id='toggle_button' src='Images/plus.png' style='margin-right:1ex;'/><a id='toggle_old_news'  style='font-size: x-small;' href=''><span id='toggle_text'>Mostrar noticias viejas</span></a></p>");
    
    $("#old_news_list").css('padding-bottom', '1ex');

    $("#toggle_button, #toggle_old_news").click(function () {
        if (this.opened) {
          $("#old_news_list").animate({opacity: 0}, 
              {duration: 400, easing: 'easeIn' + news_method, 
               complete: function () { 
                            $("#toggle_text").text("Mostrar noticias viejas"); 
                            $("#toggle_button").attr('src', 'Images/plus.png');
                            }
              });
        } else {
          var natural_height = $("#old_news_list").height("auto").height();
          $("#old_news_list").height(0);
          $("#old_news_list").css('display', 'block');
          $("#old_news_list").animate({opacity: 1}, 
              {duration: 600, easing:  'easeOut' + news_method,
               complete: function () { 
                           $("#toggle_text").text("Ocultar noticias viejas"); 
                           $("#toggle_button").attr('src', 'Images/minus.png');
                         }
              });
        }
        this.opened = !this.opened;
        return false;
      });

    $("#old_news_list").hide().opened = false;

    /*****
     * Conectamos una animación tonta a los items de la barra de navegación.
     */

    $("#navigation li").mouseenter(function() {
        $(this).stop(true, true).animate({ marginTop: "-7px", paddingBottom: "7px" }, 200);
    });
    $("#navigation li").mouseleave(function() {
        $(this).stop(true, true).animate({ marginTop: "0px", paddingBottom: "0px" }, 300);
    });

    /*****
     * Hacemos que el primer item de la barra de navegación vaya hasta
     * principio de la página
     */
   
    $("#navigation a").eq(0).each(function (i) {
        $(this).click(function () { 
            scrollTo(0, 0); 
            return false; 
        });
    });

    /******
     * Recorremos la lista de novedades, y armamos un dialogo modal con
     * aquellas que tienen 'important' entre sus clases, pero
     * solamente si la dirección de la que venimos es distinta a la
     * actual.
     */
      
    if (document.referrer != document.location &&
        document.location.hash == '') {
        var important = $("#news_list li.important").clone();
        if (important.length == 1) {
            important = important.contents().wrapAll('<p>').parent();
        }
        else {
            important = important.wrapAll('<ul/>').parent();
        }
        scrollTo(0, 0); 
        important.wrap('<div/>').parent().dialog({
            modal: true, 
            bgiframe: true,
            buttons: { Ok: function() { $(this).dialog('close'); } },
            title: 'Aviso importante',
            width: '50%',
            dialogClass: 'modal-dialog'
            });
        $(".ui-state-default").focus();
    }
  });

function terminar () {
  var canvas = document.createElement('canvas');
  $(canvas).css({position: 'fixed', top: 0, left: 0, 'z-index': -1});
  $(canvas).attr({id: 'done'});
  $('#wrapper').append(canvas);

  var done = function (canvas) {
    var size = 125;
    var ctx = canvas.getContext('2d');
    $(canvas).attr({width: window.innerWidth, height: window.innerHeight});
    ctx.save();
    ctx.beginPath();
    ctx.font = '' + size + 'px "Rock Salt"';
    ctx.textAlign = 'center';
    ctx.fillStyle = '#FFC9DD';; 
    ctx.translate(window.innerWidth / 2, 400);
    ctx.rotate(-Math.PI/10);
    ctx.fillText('ESTA MATERIA', 0, 0);
    ctx.fillText('TERMINÓ', 0, size+100);
    ctx.restore();
  };

  window.addEventListener('resize', function(event) { done(canvas); }, false);
}

$(document).ready(function () {
  if ($('body').hasClass('terminado')) {
    terminar();
    var e = document.createEvent('Event');
    e.initEvent('resize', true, true);
    window.dispatchEvent(e);
  }
});
